# $Revision: 1.169.2.2 $, $Date: 2003/02/05 09:41:47 $
#
# Conditional build:
# _with_jdbc		- with JDBC driver
#

%include	/usr/lib/rpm/macros.perl
%include	/usr/lib/rpm/macros.python

Summary:	PostgreSQL Data Base Management System
Summary(de):	PostgreSQL Datenbankverwaltungssystem
Summary(es):	Gestor de Banco de Datos PostgreSQL
Summary(fr):	Sysme de gestion de base de donnes PostgreSQL
Summary(pl):	PostgreSQL - system bazodanowy
Summary(pt_BR):	Gerenciador de Banco de Dados PostgreSQL
Summary(ru):	PostgreSQL -    
Summary(tr):	Veri Taban Ynetim Sistemi
Summary(uk):	PostgreSQL -    
Summary(zh_CN):	PostgreSQL ͻ˳Ϳļ
Name:		postgresql
Version:	7.2.4
Release:	1
License:	BSD
Group:		Applications/Databases
Source0:	ftp://ftp.postgresql.org/pub/source/v%{version}/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	pgsql-Database-HOWTO-html.tar.gz
Source3:	%{name}.sysconfig
Source4:	pgaccess.desktop
Source5:	pgaccess.png
Patch0:		%{name}-no_libnsl.patch
Patch1:		%{name}-configure.patch
Patch2:		%{name}-ac_fixes.patch
Patch3:		%{name}-pg_ctl-silent.patch
Patch4:		%{name}-DESTDIR.patch
Patch5:		%{name}-pg_ctl-nopsql.patch
Patch6:		%{name}-acfix.patch
Icon:		postgresql.xpm
URL:		http://www.postgresql.org/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	tcl-devel >= 8.3.2
BuildRequires:	tk-devel >= 8.3.2
BuildRequires:	readline-devel >= 4.2
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	openssl-devel >= 0.9.6a
BuildRequires:	perl-devel >= 5.6
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Prereq:		/sbin/chkconfig
Prereq:		rc-scripts
Prereq:		%{name}-clients = %{version}
Prereq:		%{name}-libs = %{version}
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Obsoletes:	postgresql-server
Obsoletes:	postgresql-test

%define		_pgmoduledir	%{_libdir}/postgresql
%define		_pgsqldir	%{_pgmoduledir}/sql

%description
PostgreSQL Data Base Management System (formerly known as Postgres,
then as Postgres95).

PostgreSQL is an enhancement of the POSTGRES database management
system, a next-generation DBMS research prototype. While PostgreSQL
retains the powerful data model and rich data types of POSTGRES, it
replaces the PostQuel query language with an extended subset of SQL.
PostgreSQL is free and the complete source is available.

PostgreSQL development is being performed by a team of Internet
developers who all subscribe to the PostgreSQL development mailing
list. The current coordinator is Marc G. Fournier
(scrappy@postgreSQL.org). This team is now responsible for all current
and future development of PostgreSQL.

The authors of PostgreSQL 1.01 were Andrew Yu and Jolly Chen. Many
others have contributed to the porting, testing, debugging and
enhancement of the code. The original Postgres code, from which
PostgreSQL is derived, was the effort of many graduate students,
undergraduate students, and staff programmers working under the
direction of Professor Michael Stonebraker at the University of
California, Berkeley.

The original name of the software at Berkeley was Postgres. When SQL
functionality was added in 1995, its name was changed to Postgres95.
The name was changed at the end of 1996 to PostgreSQL.

PostgreSQL runs on Solaris, SunOS, HPUX, AIX, Linux, Irix, FreeBSD,
and most flavours of Unix.

%description -l de
PostgreSQL Datenbank-Managementsystem (frher als Postgres, dann als
Postgres95 bekannt).

PostgreSQL ist eine Verbesserung des POSTGRES-DB-Managementsystems,
ein DBMS-Forschungsprototyp der nchsten Generation. Whrend es das
leistungsfhige Datenmodell und die reichhaltigen Datentypen von
POSTGRES beibehlt, ersetzt es die PostQuel-Abfragesprache durch ein
Subset von SQL. PostgreSQL ist gratis, der gesamte Quellcode ist
verfgbar.

Ein Team von Internet-Entwicklern befat sich mit PostgreSQL. Sie alle
sind auf der PostgreSQL-Entwickleradreliste. Koordinator ist Marc G.
Fournier (scrappy@postgreSQL.org). Das Team ist verantwortlich fr
alle aktuellen und knftigen Entwicklungen von PostgreSQL.

Die Autoren von PostgreSQL 1.01 waren Andrew Yu und Jolly Chen.
Zahlreiche andere haben zur Portierung, zum Testen, Debugging und zur
Verbesserung des Code beigetragen. Den Original-Postgres-Code, von dem
sich PostgreSQL ableitet, verdanken wir der Arbeit vieler Doktoranden,
Studenten und Programmierern unter der Leitung von Professor Michael
Stonebraker an der University of California, Berkeley.

Der ursprngliche Name war Postgres. Als 1995 SQL-Funktionalitt
hinzukam, wurde der Name in Postgres95 gendert. Ende 1996 schlielich
entschied man sich fr PostgreSQL.

PostgreSQL luft auf Solaris, SunOS, HPUX, AIX, Linux, Irix, FreeBSD
und den meisten Unix-Systemen.

%description -l es
Administrador de Banco de Datos PostgreSQL (conocido anteriormente
como Postgres, y despus como Postgres95). PostgreSQL es una
continuacin mejorada del Sistema Administrador de Banco de Datos
POSTGRES, que era un prototipo de pesquisa para un SGBD de nueva
generacin. Mientras PostgreSQL mantiene el potente modelo de datos y
los varios tipos de datos del POSTGRES, substituye el lenguaje de
consulta PostQuel por un subconjunto extendido de la SQL. PostgreSQL
es libre y tiene los fuentes disponibles. El desarrollo del PostgreSQL
se ejecutado por un equipo de estudiosos de Internet, todos suscritos
en la lista de desarrollo del PostgreSQL. El coordinador actual es
Marc G. Fournier (scrappy@postgreSQL.org). Este equipo es ahora
responsable por el desarrollo actual y futuro del PostgreSQL.

%description -l fr
Systme de gestion de bases de donnes PostgreSQL (D'abord nomm
Postgres, puis Postgres95).

PostgreSQL est une amlioration du systme de gestion de bases de
donnes POSTGRES, un prototype de recherche de la gnration suivant
DBMS. Tout en conservant le puissant modle de donne de et les types
de done riches de Postgres, il remplace le langage de requtes de
Postgres par un sous ensemble etendu de commandes SQL. PosrgreSQL est
libre, et ses sources sont disponibles.

Le dveloppement de PostgreSQL est actuellement ralis via internet
parune quipe de dveloppeurs inscrits sur la mailing-list de
dveloppement de PostgreSQL. Le coordinateur actuel est Marc G
Fournier (scrappy@postgreSQL.org). Cette quipe est responsable du
dveloppemen actuel et  venir de PostgreSQL.

Les auteurs de PostgreSQL 1.01 taient Andrew Yu et Jolly Chen.
Beaucoup d'autres ont contribu au portage, au test, au dbogage et 
l'amlioration du code. Le code original de Postgres, duquel
PostgreSQL est driv, a t l'oeuvre d'tudiants de haut niveau, de
moins haut niveau, et de programmeurs travaillant sous la direction du
professeur Michael Stonebraker  l'universit de Berkeley Californie.

Le nom original du logiciel tait Postgres. Quand les fonctionnalites
SQL furent ajoutes en 1995, son nom est devenu Postgres95. Il a t
rebaptis PostgreSQL en 1996.

PostgreSQL tourne sur Solaris, SunOS, HPUX, AIX, Linux, Irix, FreeBSD,
et la plupart des Unix.

%description -l pl
System Zarzdzania Baz Danych PostgreSQL (dawniej znany jako
Postgres, nastpnie jako Postgres95).

PostgreSQL jest rozszerzeniem systemu zarzdzania baz danych POSTGRES,
prototypu DBMS nastpnej generacji. Co prawda PostgreSQL odziedziczy
model danych oraz bogaty zbir rnych typw danych, to jednak jzyk
zapyta PostQuel zosta zastpiony rozszerzonym SQL-em. PostgreSQL
jest wolnym oprogramowaniem i kody rdowe tego oprogramowania s w
peni dostpne.

System PostgreSQL jest tworzony przez zesp ludzi, ktrzy s zapisani
na list dyskusyjn dotyczc PostgreSQL-a. Obecnym koordynatorem jest
Marc G. Fournier (scrappy@postgreSQL.org). Wymieniony wyej zesp
jest odpowiedzialny za aktualny i przyszy rozwj systemu PostgreSQL.

Autorami PostgreSQL-a 1.01 byli Andrew Yu oraz Jolly Chen. Wielu
innych pomagao przenoszc na rne platformy, testujc, analizujc i
rozszerzajc kod. Oryginalny kod Postgres-a, na podstawie ktrego
PostgreSQL powsta, by wysikiem wielu absolwentw, studentw oraz
zespou programistw, ktrzy pracowali pod kierunkiem profesora
Michaela Stonebrakera z Uniwersytetu Kalifornii w Berkeley.

Nazwa oryginalna oprogramowania tworzonego w Berkeley brzmiaa
Postgres. W 1995 roku dodano jzyk zapyta SQL i nazw zmieniono na
Postgres95. W kocu roku 1996 nazw ostatecznie zmieniono na
PostgreSQL.

PostgreSQL moe by uruchominy pod nastpujcymi systemami: Solaris,
SunOS, HPUX, AIX, Linux, Irix, FreeBSD i innych systemach Unix.

%description -l pt_BR
Gerenciador de Banco de Dados PostgreSQL (conhecido anteriormente como
Postgres, e depois como Postgres95).

O PostgreSQL  uma continuao melhorada do Sistema Gerenciador de
Banco de Dados POSTGRES, que era um prottipo de pesquisa para um SGBD
de nova gerao. Enquanto o PostgreSQL mantm o poderoso modelo de
dados e os vrios tipos de dados do POSTGRES, ele substitui a
linguagem de consulta PostQuel por um subconjunto estendido da SQL. O
PostgreSQL  livre e tem os fontes disponveis.

O desenvolvimento do PostgreSQL est sendo executado por uma equipe de
desenvolvedores da Internet, todos subscritores da lista de
desenvolvimento do PostgreSQL. O coordenador atual  Marc G. Fournier
(scrappy@postgreSQL.org). Esta equipe  agora responsvel pelo
desenvolvimento atual e futuro do PostgreSQL.

%description -l ru
PostgreSQL -     (  
Postgres,   Postgres95).

PostgreSQL -       
POSTGRES,   DBMS  .
         POSTGRES,
    PostQuel   SQL.
PostgreSQL        
.

PostgreSQL   Internet-, 
  ,   PostgreSQL.  
   Marc G. Fournier
(scrappy@postgreSQL.org).       
     PostgreSQL.

 PostgreSQL 1.01  Andrew Yu  Jolly Chen.  
   , ,    .
  Postgres,    PostgreSQL, 
  ,   ,  
  Michael Stonebraker  University of
California, Berkeley.

    Berkeley  Postgres.   1995 
   SQL,   
Postgres95.   1996        
PostgreSQL.

PostgreSQL   Solaris, SunOS, HPUX, AIX, Linux, Irix, FreeBSD
    Unix.

%description -l tr
PostgreSQL, POSTGRES'den tremi bir veri taban ynetim sistemidir
(DBMS). Gl veri modeli ve zengin POSTGRES veri tiplerini
desteklerken SQL'in geniletilmi bir altkmesi yerine PostQuel
sorgulama dilini koyar.

%description -l uk
PostgreSQL -     (Φ צ  Postgres,
Ԧ  Postgres95).

PostgreSQL -   Ӧ    
POSTGRES, ̦  DBMS ϧ æ.
Ҧ      ¦ Ц  POSTGRES,
 ͦ  Ԧ PostQuel   SQL. PostgreSQL
  Ѥ  Ħ   Ȧ
Ԧ.

PostgreSQL Ѥ  Internet-ͦԦ, ˦
 ,  æ PostgreSQL. ڦ
  Marc G. Fournier (scrappy@postgreSQL.org).  
צצ  Ӧ Φ  Φ  PostgreSQL.

 PostgreSQL 1.01  Andrew Yu  Jolly Chen.  
 צ   , , צ  
. Ǧ  Postgres, צ   PostgreSQL, 
  Ԧ, ЦԦ  ,  
Ц Ҧ  Michael Stonebraker  University of
California, Berkeley.

Ǧ    Berkeley  Postgres.   1995 æ
  æΦ SQL,  ͦ  Postgres95. 
˦æ 1996     ͦ    PostgreSQL.

PostgreSQL   Solaris, SunOS, HPUX, AIX, Linux, Irix, FreeBSD
 ¦Ԧ  ҦĦ Unix.

%package devel
Summary:	PostgreSQL development header files and libraries
Summary(de):	PostgreSQL-Entwicklungs-Header-Dateien und Libraries
Summary(es):	Archivos de inclusin y bibliotecas PostgreSQL
Summary(fr):	En-ttes et bibliothques de dveloppement PostgreSQL
Summary(pl):	PostgreSQL - pliki nagwkowe i biblioteki
Summary(pt_BR):	Arquivos de incluso e bibliotecas para desenvolvimento com o PostgreSQL
Summary(ru):	PostgreSQL -    
Summary(tr):	PostgreSQL balk dosyalar ve kitaplklar
Summary(uk):	PostgreSQL -   ¦̦ ͦ
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}

%description devel
This package contains header files and libraries required to compile
applications that are talking directly to the PostgreSQL backend
server.

%description devel -l de
Dieses Paket enthlt die Header-Dateien und Libraries, die zum
Kompilieren von Applikationen notwendig sind, die direkt mit dem
PostgreSQL-Backend-Server kommunizieren.

%description devel -l es
Este paquete contiene archivos de inclusin y bibliotecas requeridas
para compilacin de aplicativos que se comunican directamente con el
servidor backend PostgreSQL.

%description devel -l fr
Ce package contient les fichiers d'en-tte et les bibliothques
ncessaires pour compiler des applications ayant des changes directs
avec le serveur du backend PostgreSQL.

%description devel -l pl
Pakiet zawiera nagwki oraz biblioteki wymagane do kompilacji
aplikacji czcych si bezporednio z serwerem PostgreSQL.

%description devel -l pt_BR
Este pacote contm arquivos de incluso e bibliotecas requeridas para
compilao de aplicativos que se comunicam diretamente com o servidor
backend PostgreSQL.

%description devel -l ru
     ,   
,     PostgreSQL.

%description devel -l tr
Bu paket, PostgreSQL sunucusuyla konuacak yazlmlar gelitirmek iin
gereken balk dosyalarn ve kitaplklar ierir.

%description devel -l uk
  ͦ   ¦̦, ȦΦ  
, ˦  Ħ   PostgreSQL.

%package backend-devel
Summary:	PostgreSQL backend development header files
Summary(pl):	PostgreSQL - pliki nagwkowe dla backendu
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}

%description backend-devel
This package contains header files required to compile functions that
could be loaded directly by backend

%description backend-devel -l pl
Pakiet zawiera nagwki wymagane do kompilacji funkcji ktore moga byc
bezposrednio ladowane przez beckend serwera PostgreSQL.

%package clients
Summary:	Clients needed to access a PostgreSQL server
Summary(es):	Clientes necesarios para acceder al servidor PostgreSQL
Summary(pl):	Klienci wymagani do dostpu do serwera PostgreSQL
Summary(pt_BR):	Clientes necessrios para acessar o servidor PostgreSQL
Summary(ru):	 ,      PostgreSQL
Summary(uk):	̦˦ , ȦΦ     PostgreSQL
Group:		Applications/Databases
Requires:	%{name}-libs = %{version}

%description clients
This package includes only the clients needed to access an PostgreSQL
server. The server is included in the main package. If all you need is
to connect to another PostgreSQL server, the this is the only package
you need to install. Clients include several command-line utilities
you can use to manage your databases on a remote PostgreSQL server.

%description clients -l es
Este paquete incluye solamente los clientes necesarios para acceder un
servidor PostgreSQL. El servidor est en el paquete principal.

%description clients -l pl
Pakiet zawiera programy klienckie potrzebne dla dostpu do serwera
PostgreSQL oraz narzdzia do zarzdzania bazami dziaajce z linii
polece. Serwer znajduje si w gwnym pakiecie.

%description clients -l pt_BR
Este pacote inclui somente os clientes necessrios para acessar um
servidor PostgreSQL. O servidor est no pacote principal.

%description clients -l ru
       ,
     PostgreSQL.    
.         PostgreSQL, 
 ,    .

        (C,
C++, PERL  TCL) .      
 C.

%description clients -l uk
  ͦ Ԧ ̦˦   ¦̦, ȦΦ
    PostgreSQL.  ͦ  
Ԧ.   Ҧ     PostgreSQL, 
 ,    .

   ¦̦  Ҧ   (C, C++, PERL
 TCL) ĦΦ.   ͦ Ԧ ¦̦   C.

%package perl
Summary:	Perl interface to PostgreSQL database
Summary(es):	Mdulo Perl para acceder un servidor PostgreSQL
Summary(pl):	Interfejs dla Perla umoliwiajcy dostp do baz PostgreSQL
Summary(pt_BR):	Mdulo Perl para acesso ao servidor PostgreSQL
Summary(ru):	      postgresql  perl
Summary(uk):	̦  ̦    postgresql  Perl
Summary(zh_CN):	PostgreSQL  PL/Perl 
Group:		Applications/Databases
Requires:	perl >= 5.004
Requires:	%{name}-libs = %{version}

%description perl
This package includes only perl modules needed to access an PostgreSQL
server.

%description perl -l es
Mdulo Perl para acceder un servidor PostgreSQL

%description perl -l pl
Pakiet ten zawiera tylko moduy Perla wymagane dla dostpu do serwera
PostgreSQL.

%description perl -l pt_BR
Mdulo Perl para acesso ao servidor PostgreSQL.

%description perl -l ru
  postgresql   perl.    perl 
     postgresql  perl.  
       
.       -
 perl-DBD-%{name} !

%description perl -l uk
  postgresql  Ц perl.  ͦ ̦ perl 
ͦΦ     postgresql  perl.  Ԧ 
Ц      Ҧ
.      , 
perl-DBD-%{name} !

%package -n python-postgresql
Summary:	The python-based client programs needed for accessing a PostgreSQL server
Summary(es):	Mdulo Python para acceder un servidor PostgreSQL
Summary(pl):	Programy klienckie do dostpu do serwera PostgreSQL napisane w Pythonie
Summary(pt_BR):	Mdulo Python para acesso ao servidor PostgreSQL
Summary(zh_CN):	Python  PostgreSQL ݿĿģ
Group:		Libraries/Python
Requires:	python >= 2.0
Requires:	python-mx-DateTime
Requires:	%{name}-libs = %{version}
Obsoletes:	python-PyGreSQL
Obsoletes:	postgresql-python

%description -n python-postgresql
postgresql-python includes the python-based client programs and client
libraries that you'll need to access a PostgreSQL database management
system server.

%description -n python-postgresql -l es
Mdulo Python para acceder un servidor PostgreSQL

%description -n python-postgresql -l pl
Pakiet ten zawiera napisane w Pythonie programy i biblioteki klienckie
do dostpu do serwera baz danych PostgreSQL.

%description -n python-postgresql -l pt_BR
Mdulo Python para acesso ao servidor PostgreSQL.

%package doc
Summary:	Documentation for PostgreSQL
Summary(pl):	Dodatkowa dokumantacja dla PostgreSQL
Group:		Applications/Databases

%description doc
This package includes documentation and HOWTO for programmer, admin
etc., in HTML format.

%description doc -l pl
Pakiet ten zawiera dokumentacj oraz HOWTO m.in. dla programistw,
administratorw w formacie HTML.

%package libs
Summary:	PostgreSQL libraries
Summary(es):	Biblioteca compartida del PostgreSQL
Summary(pl):	Biblioteki dzielone programu PostgreSQL
Summary(pt_BR):	Biblioteca compartilhada do PostgreSQL
Summary(zh_CN):	PostgreSQL ͻҪĹ.
Group:		Libraries

%description libs
PostgreSQL shared libraries.

%description libs -l es
Este paquete contiene la biblioteca compartida para acceso al
postgresql.

%description libs -l pl
Biblioteki dzielone programu PostgreSQL.

%description libs -l pt_BR
Este pacote contm a biblioteca compartilhada para acesso ao
postgresql.

%package static
Summary:	PostgreSQL static libraries
Summary(es):	Bibliotecas estaticas PostgreSQL
Summary(pl):	Biblioteki statyczne programu PostgreSQL
Summary(pt_BR):	Bibliotecas estticas PostgreSQL
Summary(ru):	     postgresql
Summary(uk):	Φ ¦̦    postgresql
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
PostgreSQL static libraries.

%description static -l es
Este paquete contiene bibliotecas estaticas requerida para compilacin
de aplicativos que se comunican directamente con el servidor backend
PostgreSQL.

%description static -l pl
Biblioteki statyczne programu PostgreSQL.

%description static -l pt_BR
Este pacote contm as bibliotecas estticas requeridas para compilao
de aplicativos que se comunicam diretamente com o servidor backend
PostgreSQL.

%description static -l ru
     ,   
  %{name}-devel.

%description static -l uk
   ڦ  ¦̦, ˦ ¦   
%{name}-devel.

%package c++
Summary:	C++ interface to PostgreSQL
Summary(pl):	Interfejs C++ do PostgreSQL
Summary(ru):	     PostgreSQL,   C++
Summary(uk):	̦˦ ¦̦   Ц ̦Ԧ PostgreSQL,   C++
Group:		Applications/Databases
Requires:	%{name}-libs = %{version}

%description c++
This package includes library for C++ interface to PostgreSQL.

%description c++ -l pl
Pakiet ten zawiera biblioteki dla interfejsu C++ do PostgreSQL.

%description c++ -l ru
libpq++ -- -     
 PostgreSQL.

%description c++ -l uk
libpq++ -- '-Ҧ ¦̦     
PostgreSQL.

%package c++-devel
Summary:	C++ interface to PostgreSQL - development part
Summary(pl):	Interfejs C++ do PostgreSQL - cze programistyczna
Summary(ru):	       libpq++ (C++   postgresql)
Summary(uk):	  ¦̦     libpq++ ( C++  postgresql)
Group:		Applications/Databases
Requires:	%{name}-c++ = %{version}
Requires:	%{name}-devel = %{version}

%description c++-devel
This package includes library and header files for C++ interface.

%description c++-devel -l pl
Pakiet ten zawiera biblioteki i pliki nagwkowe dla interfejsu C++.

%description c++-devel -l ru
      libpq++.  
      ,  
  API libpq++ (C++   postgresql).

%description c++-devel -l uk
  ͦ    libpq++.  ͦ 
 ¦̦    , ˦   
API libpq++ ( C++  postgresql).

%package c++-static
Summary:	C++ interface to PostgreSQL - static libraries
Summary(pl):	Interfejs C++ do PostgreSQL - biblioteki statyczne
Summary(ru):	     libpq++
Summary(uk):	Φ ¦̦    libpq++
Group:		Applications/Databases
Requires:	%{name}-c++-devel = %{version}

%description c++-static
This package includes static library for interface C++.

%description c++-static -l pl
Pakiet ten zawiera biblioteki statyczne dla interfejsu C++.

%description c++-static -l ru
     ,   
  %{name}-c++-devel.

%description c++-static -l uk
   ڦ  ¦̦, ˦ ¦   
%{pkg_name}-c++-devel.

%package odbc
Summary:	ODBC interface to PostgreSQL
Summary(es):	Driver ODBC para acceder un servidor PostgreSQL
Summary(pl):	Interfejs ODBC do PostgreSQL
Summary(pt_BR):	Driver ODBC necessrio para acessar um servidor PostgreSQL
Summary(zh_CN):	 ODBC  һ PostgreSQL ݿ ODBC 
Group:		Applications/Databases
Requires:	%{name}-libs = %{version}

%description odbc
This package includes library for interface ODBC.

%description odbc -l es
Driver para acceder un servidor PostgreSQL, a travs de ODBC.

%description odbc -l pl
Pakiet ten zawiera biblioteki dla interfejsu ODBC.

%description odbc -l pt_BR
Driver ODBC necessrio para acessar um servidor PostgreSQL.

%package odbc-devel
Summary:	ODBC interface to PostgreSQL - development part
Summary(pl):	Interfejs ODBC do PostgreSQL - cze programistyczna
Group:		Applications/Databases
Requires:	%{name}-odbc = %{version}
Requires:	%{name}-devel = %{version}

%description odbc-devel
This package includes library and header files for interface ODBC.

%description odbc-devel -l pl
Pakiet ten zawiera biblioteki i pliki nagwkowe dla interfejsu ODBC.

%package odbc-static
Summary:	ODBC interface to PostgreSQL - static libraries
Summary(pl):	Interfejs ODBC do PostgreSQL - biblioteki statyczne
Group:		Applications/Databases
Requires:	%{name}-odbc-devel = %{version}

%description odbc-static
This package includes static library for interface ODBC.

%description odbc-static -l pl
Pakiet ten zawiera biblioteki statyczne dla interfejsu ODBC.

%package -n pgaccess
Summary:	A free graphical database management tool for PostgreSQL
Summary(pl):	Graficzne narzdzie do obsugi baz danych PostgreSQL
Group:		Applications/Databases
Requires:	%{name}-tcl = %{version}

%description -n pgaccess
A free graphical database management tool for PostgreSQL.

%description -n pgaccess -l pl
Graficzne narzdzie do obsugi baz danych PostgreSQL.

%package tcl
Summary:	tcl interface for PostgreSQL
Summary(es):	Bibliotecas y shell TCL para acceder un servidor PostgreSQL
Summary(pl):	Interfejs tcl dla PostgreSQL
Summary(pt_BR):	Bibliotecas e shell para programas em TCL acessarem o servidor PostgreSQL
Summary(ru):	    postgresql  tcl
Summary(uk):	̦    postgresql  tcl
Summary(zh_CN):	һ Tcl  PostgreSQL  PL/Tcl 
Group:		Development/Languages/Tcl
Requires:	%{name}-libs = %{version}

%description tcl
tcl interface for PostgreSQL.

%description tcl -l es
Bibliotecas y shell TCL para acceder un servidor PostgreSQL

%description tcl -l pl
Interfejs tcl dla PostgreSQL.

%description tcl -l pt_BR
Bibliotecas e shell para programas em TCL acessarem o servidor
PostgreSQL

%description tcl -l ru
libpgtcl -- API      PostgreSQL   tcl.

%description tcl -l uk
libpgtcl -- API      PostgreSQL   tcl.

%package tcl-devel
Summary:	Development part of tcl interface for PostgreSQL
Summary(pl):	Cz dla programistw interfejsu tcl dla PostgreSQL
Summary(ru):	       libpgtcl (tcl   postgresql)
Summary(uk):	  ¦̦     libpgtcl (tcl-  postgresql)
Group:		Development/Languages/Tcl
Requires:	%{name}-tcl = %{version}
Requires:	%{name}-devel = %{version}

%description tcl-devel
Development part of tcl interface for PostgreSQL.

%description tcl-devel -l pl
Cz interfejsu tcl dla PostgreSQL przeznaczona dla programistw.

%description tcl-devel -l ru
      libpgtcl.  
      ,  
  API libtcl (tcl   postgresql).

%description tcl-devel -l uk
  ͦ    libpgtcl.  ͦ 
 ¦̦    , ˦   
API libtcl (tcl-  postgresql).

%package tcl-static
Summary:	Static libraries of tcl interface for PostgreSQL
Summary(pl):	Biblioteki statyczne interfejsu tcl dla PostgreSQL
Summary(ru):	     libpgtcl
Summary(uk):	Φ ¦̦    libpgtcl
Group:		Development/Languages/Tcl
Requires:	%{name}-tcl-devel = %{version}

%description tcl-static
Static libraries of tcl interface for PostgreSQL.

%description tcl-static -l pl
Biblioteki statyczne interfejsu tcl dla PostgreSQL.

%description tcl-static -l ru
     ,   
  %{_name}-tcl-devel.

%description tcl-static -l uk
   ڦ  ¦̦,  ¦   
%{name}-tcl-devel.

%package module-plpgsql
Summary:	PL/pgSQL - PostgreSQL procedural language
Summary(pl):	PL/pgSQL jzyk proceduralny bazy danych PostgreSQL
Group:		Applications/Databases
Requires:	%{name} = %{version}

%description module-plpgsql
From PostgreSQL documentation.

Postgres supports the definition of procedural languages. In the case
of a function or trigger procedure defined in a procedural language,
the database has no built-in knowledge about how to interpret the
function's source text. Instead, the task is passed to a handler that
knows the details of the language. The handler itself is a special
programming language function compiled into a shared object and loaded
on demand.

To enable PL/pgSQL procedural language for your database you have to
run createlang command.

%description module-plpgsql -l pl
Z dokumentacji PostgreSQL.

Postgres ma wsparcie dla jzykw proceduralnych. W przypadku, kiedy
programista zdefiniuje procedur wyzwalacza lub funkcj w jzyku
proceduralnym, baza danych nie ma pojcia jak interpretowa tego typu
funkcj. Funkcja lub procedura ta jest przekazywana do interpretera,
ktry wie jak j wykona. Interpreter jest odpowiedni, specjaln
funkcj, ktra jest skompilowana w obiekt dzielony i adowany w razie
potrzeby.

Za pomoc komendy createlang mona doda wsparcie dla jzyka
proceduralnego PL/pgSQL dla swojej bazy danych.

%package module-plperl
Summary:	PL/perl - PostgreSQL procedural language
Summary(pl):	PL/perl jzyk proceduralny bazy danych PostgreSQL
Group:		Applications/Databases
Requires:	%{name} = %{version}
%requires_eq	perl

%description module-plperl
From PostgreSQL documentation.

Postgres supports the definition of procedural languages. In the case
of a function or trigger procedure defined in a procedural language,
the database has no built-in knowledge about how to interpret the
function's source text. Instead, the task is passed to a handler that
knows the details of the language. The handler itself is a special
programming language function compiled into a shared object and loaded
on demand.

To enable PL/perl procedural language for your database you have to
run createlang command.

%description module-plperl -l pl
Z dokumentacji PostgreSQL.

Postgres ma wsparcie dla jzykw proceduralnych. W przypadku, kiedy
programista zdefiniuje procedur wyzwalacza lub funkcj w jzyku
proceduralnym, baza danych nie ma pojcia jak interpretowa tego typu
funkcj. Funkcja lub procedura ta jest przekazywana do interpretera,
ktry wie jak j wykona. Interpreter jest odpowiedni, specjaln
funkcj, ktra jest skompilowana w obiekt dzielony i adowany w razie
potrzeby.

Za pomoc komendy createlang mona doda wsparcie dla jzyka
proceduralnego PL/perl dla swojej bazy danych.

%package module-plpython
Summary:	PL/python - PostgreSQL procedural language
Summary(pl):	PL/python jzyk proceduralny bazy danych PostgreSQL
Group:		Applications/Databases
Requires:	%{name} = %{version}
%pyrequires_eq	python

%description module-plpython
From PostgreSQL documentation.

Postgres supports the definition of procedural languages. In the case
of a function or trigger procedure defined in a procedural language,
the database has no built-in knowledge about how to interpret the
function's source text. Instead, the task is passed to a handler that
knows the details of the language. The handler itself is a special
programming language function compiled into a shared object and loaded
on demand.

To enable PL/python procedural language for your database you have to
run createlang command.

%description module-plpython -l pl
Z dokumentacji PostgreSQL.

Postgres ma wsparcie dla jzykw proceduralnych. W przypadku, kiedy
programista zdefiniuje procedur wyzwalacza lub funkcj w jzyku
proceduralnym, baza danych nie ma pojcia jak interpretowa tego typu
funkcj. Funkcja lub procedura ta jest przekazywana do interpretera,
ktry wie jak j wykona. Interpreter jest odpowiedni, specjaln
funkcj, ktra jest skompilowana w obiekt dzielony i adowany w razie
potrzeby.

Za pomoc komendy createlang mona doda wsparcie dla jzyka
proceduralnego PL/python dla swojej bazy danych.

%package module-pltcl
Summary:	PL/TCL - PostgreSQL procedural language
Summary(pl):	PL/TCL - jzyk proceduralny bazy danych PostgreSQL
Group:		Applications/Databases
Requires:	%{name} = %{version}

%description module-pltcl
From PostgreSQL documentation.

Postgres supports the definition of procedural languages. In the case
of a function or trigger procedure defined in a procedural language,
the database has no built-in knowledge about how to interpret the
function's source text. Instead, the task is passed to a handler that
knows the details of the language. The handler itself is a special
programming language function compiled into a shared object and loaded
on demand.

To enable PL/TCL procedural language for your database you have to run
createlang command.

%description module-pltcl -l pl
Z dokumentacji PostgreSQL.

Postgres ma wsparcie dla jzykw proceduralnych. W przypadku, kiedy
programista zdefiniuje procedur wyzwalacza lub funkcj w jzyku
proceduralnym, baza danych nie ma pojcia jak interpretowa tego typu
funkcj. Funkcja lub procedura ta jest przekazywana do interpretera,
ktry wie jak j wykona. Interpreter jest odpowiedni, specjaln
funkcj, ktra jest skompilowana w obiekt dzielony i adowany w razie
potrzeby.

Za pomoc komendy createlang mona doda wsparcie dla jzyka
proceduralnego PL/TCL dla swojej bazy danych.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p1

tar xzf doc/man*.tar.gz

mkdir doc/unpacked
tar zxf doc/postgres.tar.gz -C doc/unpacked

# Erase all CVS dir
rm -fR `find contrib/ -type d -name CVS`

%build
rm -f config/libtool.m4
%{__aclocal} -I config
%{__autoconf}
%configure \
	%{!?_without_pgsql_locale:--enable-locale} \
	%{!?_without_pgsql_multibyte:--enable-multibyte} \
	--disable-rpath \
	--enable-depend \
	--enable-odbc \
	--enable-recode \
	--enable-syslog \
	--enable-unicode-conversion \
	--with-CXX \
	--with-tcl \
	--with-tk \
	--with-perl \
	--with-python \
	--with-openssl \
	--enable-odbc \
	--with-odbcinst=%{_sysconfdir} \
	--with-x \
%{?_with_jdbc:	--with-java}

%{__make}
%ifnarch sparc sparcv9 sparc64 alpha ppc
%{!?_without_tests: %{__make} check }
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{rc.d/init.d,sysconfig}} \
        $RPM_BUILD_ROOT{/var/{lib/pgsql,log},%{_pgsqldir}} \
	$RPM_BUILD_ROOT{%{_applnkdir}/System,%{_pixmapsdir}} \
	$RPM_BUILD_ROOT/home/services/postgres

%{__make} install install-all-headers \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} install -C src/pl/plperl \
	DESTDIR=$RPM_BUILD_ROOT

touch $RPM_BUILD_ROOT/var/log/pgsql

# Move PL/pgSQL procedural language to %{_pgmoduledir}
( cd $RPM_BUILD_ROOT%{_libdir}
  mv -f plpgsql.so $RPM_BUILD_ROOT%{_pgmoduledir}
)

# Move PL/TCL procedural language to %{_pgmoduledir}
( cd $RPM_BUILD_ROOT%{_libdir}
  mv -f pltcl.so $RPM_BUILD_ROOT%{_pgmoduledir}
)

# odbc
install src/interfaces/odbc/odbcinst.ini $RPM_BUILD_ROOT%{_sysconfdir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/postgresql
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/postgresql
install %{SOURCE4} $RPM_BUILD_ROOT%{_applnkdir}/System
install %{SOURCE5} $RPM_BUILD_ROOT%{_pixmapsdir}

cp -a man?	   $RPM_BUILD_ROOT%{_mandir}

install -d howto
( cd howto
  tar xzf $RPM_SOURCE_DIR/pgsql-Database-HOWTO-html.tar.gz
)

%py_comp $RPM_BUILD_ROOT%{py_libdir}
%py_ocomp $RPM_BUILD_ROOT%{py_libdir}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f /tmp/tmp_perl_info

%pre
if [ -f /etc/sysconfig/postgresql ]; then
    POSTGRES_DATA_DIR=/var/lib/pgsql
    . /etc/sysconfig/postgresql
    if [ -f $POSTGRES_DATA_DIR/PG_VERSION ]; then
	if [ `cat $POSTGRES_DATA_DIR/PG_VERSION` != '7.2' ]; then
	    echo "Database(s) in older, incompatible format exist in $POSTGRES_DATA_DIR."
	    echo "Dump them and clean $POSTGRES_DATA_DIR, then upgrade postgresql and"
	    echo "restore database(s)."
        echo
        echo "Warning for upgrade from version *before* 7.2."
        echo "Please note, that postgresql module path changed from"
        echo "/usr/lib/pgsql/module to /usr/lib/postgresql. Change the path"
        echo "in dump file before restore."
	    exit 1
	fi
    fi
fi

getgid postgres >/dev/null 2>&1 || /usr/sbin/groupadd -g 88 -r -f postgres
if id postgres >/dev/null 2>&1 ; then
	/usr/sbin/usermod -d /home/services/postgres postgres
else
	/usr/sbin/useradd -M -o -r -u 88 \
		-d /home/services/postgres -s /bin/sh -g postgres \
		-c "PostgreSQL Server" postgres
fi

%post
/sbin/chkconfig --add postgresql

if [ -f /var/lock/subsys/postgresql ]; then
	/etc/rc.d/init.d/postgresql restart >&2
else
	echo "Run \"/etc/rc.d/init.d/postgresql start\" to start postgresql server."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/postgresql ]; then
		/etc/rc.d/init.d/postgresql stop
	fi
	/sbin/chkconfig --del postgresql
fi

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%post   tcl -p /sbin/ldconfig
%postun tcl -p /sbin/ldconfig

%post   c++ -p /sbin/ldconfig
%postun c++ -p /sbin/ldconfig

%post   odbc -p /sbin/ldconfig
%postun odbc -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/*
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/*

%attr(755,root,root) %{_bindir}/createdb
%attr(755,root,root) %{_bindir}/createuser
%attr(755,root,root) %{_bindir}/dropdb
%attr(755,root,root) %{_bindir}/dropuser
%attr(755,root,root) %{_bindir}/initdb
%attr(755,root,root) %{_bindir}/initlocation
%attr(755,root,root) %{_bindir}/pg_ctl
%attr(755,root,root) %{_bindir}/pg_config
%attr(755,root,root) %{_bindir}/pg_encoding
%attr(755,root,root) %{_bindir}/pg_passwd
%attr(755,root,root) %{_bindir}/postgres
%attr(755,root,root) %{_bindir}/postmaster
%attr(755,root,root) %{_bindir}/ipcclean
%attr(755,root,root) %{_bindir}/createlang
%attr(755,root,root) %{_bindir}/droplang

%dir %{_pgsqldir}
%dir %{_pgmoduledir}
%{_datadir}/postgresql/*.bki
%{_datadir}/postgresql/*.sample
%{_datadir}/postgresql/*.description

%attr(700,postgres,postgres) /home/services/postgres
%attr(700,postgres,postgres) %dir /var/lib/pgsql
%attr(640,postgres,postgres) %config(noreplace) %verify(not md5 size mtime) /var/log/pgsql

%{_mandir}/man1/createdb.1*
%{_mandir}/man1/createlang.1*
%{_mandir}/man1/createuser.1*
%{_mandir}/man1/dropdb.1*
%{_mandir}/man1/droplang.1*
%{_mandir}/man1/dropuser.1*
%{_mandir}/man1/initdb.1*
%{_mandir}/man1/initlocation.1*
%{_mandir}/man1/pg_passwd.1*
%{_mandir}/man1/pg_ctl.1*
%{_mandir}/man1/pg_config.1*
%{_mandir}/man1/postgres.1*
%{_mandir}/man1/postmaster.1*
%{_mandir}/man1/ipcclean.1*

%doc contrib
%doc doc/FAQ* doc/README*
%doc COPYRIGHT README HISTORY doc/bug.template

%files doc
%defattr(644,root,root,755)
%doc doc/unpacked/*
%doc howto

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpq.so.*.*
%attr(755,root,root) %{_libdir}/libpgeasy.so.*.*
%attr(755,root,root) %{_libdir}/libecpg.so.*.*
%attr(755,root,root) %{_bindir}/pg_id

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ecpg
%attr(755,root,root) %{_libdir}/libecpg.so
%attr(755,root,root) %{_libdir}/libpgeasy.so
%attr(755,root,root) %{_libdir}/libpq.so
%dir %{_includedir}/postgresql
%{_includedir}/pg_config.h
%{_includedir}/pg_config_os.h
%{_includedir}/ecpgerrno.h
%{_includedir}/ecpglib.h
%{_includedir}/ecpgtype.h
%{_includedir}/libpgeasy.h
%{_includedir}/libpq-fe.h
%{_includedir}/postgres_ext.h
%{_includedir}/sql3types.h
%{_includedir}/sqlca.h
%dir %{_includedir}/postgresql/internal
%{_includedir}/postgresql/internal/c.h
%{_includedir}/postgresql/internal/libpq-int.h
%{_includedir}/postgresql/internal/postgres_fe.h
%{_includedir}/postgresql/internal/pqexpbuffer.h
%{_includedir}/postgresql/internal/lib
%{_includedir}/postgresql/internal/libpq
%{_mandir}/man1/ecpg.1*

%files backend-devel
%defattr(644,root,root,755)
%{_includedir}/postgresql/server

%files static
%defattr(644,root,root,755)
%{_libdir}/libecpg.a
%{_libdir}/libpgeasy.a
%{_libdir}/libpq.a

%files clients
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pg_dump
%attr(755,root,root) %{_bindir}/pg_dumpall
%attr(755,root,root) %{_bindir}/pg_restore
%attr(755,root,root) %{_bindir}/psql
%attr(755,root,root) %{_bindir}/vacuumdb

%{_mandir}/man1/pg_dump.1*
%{_mandir}/man1/pg_dumpall.1*
%{_mandir}/man1/pg_restore.1*
%{_mandir}/man1/psql.1*
%{_mandir}/man1/vacuumdb.1*
%{_mandir}/manl/*.l*

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpq++.so.*.*

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpq++.so
%{_includedir}/libpq++.h
%{_includedir}/libpq++

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libpq++.a

%files perl
%defattr(644,root,root,755)
%dir %{perl_sitearch}/auto/Pg
%{perl_sitearch}/auto/Pg/Pg.bs
%attr(755,root,root) %{perl_sitearch}/auto/Pg/Pg.so
%{perl_sitearch}/auto/Pg/autosplit.ix
%{perl_sitearch}/Pg.pm
%{_mandir}/man3/*


%files -n python-postgresql
%defattr(644,root,root,755)
%doc src/interfaces/python/{README*,ChangeLog}
%{py_sitedir}/*.pyc
%{py_sitedir}/*.pyo
%attr(755,root,root) %{py_sitedir}/*.so

%files -n pgaccess
%defattr(644,root,root,755)
%doc src/bin/pgaccess/doc/html/*
%attr(755,root,root) %{_bindir}/pgaccess
%dir %{_datadir}/postgresql/pgaccess
%attr(755, root, root) %{_datadir}/postgresql/pgaccess/main.tcl
%{_datadir}/postgresql/pgaccess/images
%{_datadir}/postgresql/pgaccess/lib
%{_applnkdir}/System/pgaccess.desktop
%{_pixmapsdir}/pgaccess.png
%{_mandir}/man1/pgaccess.1*

%files tcl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpgtcl.so
%attr(755,root,root) %{_libdir}/libpgtcl.so.*.*
%attr(755,root,root) %{_bindir}/pgtclsh
%attr(755,root,root) %{_bindir}/pgtksh
%{_mandir}/man1/pgtclsh.1*
%{_mandir}/man1/pgtksh.1*

%files tcl-devel
%defattr(644,root,root,755)
%{_includedir}/libpgtcl.h

%files tcl-static
%defattr(644,root,root,755)
%{_libdir}/libpgtcl.a

%files odbc
%defattr(644,root,root,755)
%doc src/interfaces/odbc/readme.txt src/interfaces/odbc/notice.txt
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/odbc*
%attr(755,root,root) %{_libdir}/libpsqlodbc.so.*.*
%{_datadir}/postgresql/odbc.sql

%files odbc-devel
%defattr(644,root,root,755)
#%{_includedir}/postgresql/iodbc
%attr(755,root,root) %{_libdir}/libpsqlodbc.so

%files odbc-static
%defattr(644,root,root,755)
%{_libdir}/libpsqlodbc.a

%files module-plpgsql
%defattr(644,root,root,755)
%attr(755,root,root) %{_pgmoduledir}/plpgsql.so

%files module-plperl
%defattr(644,root,root,755)
%attr(755,root,root) %{_pgmoduledir}/plperl.so

%files module-plpython
%defattr(644,root,root,755)
%attr(755,root,root) %{_pgmoduledir}/plpython.so

%files module-pltcl
%defattr(644,root,root,755)
%attr(755,root,root) %{_pgmoduledir}/pltcl.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: postgresql.spec,v $
Revision 1.169.2.2  2003/02/05 09:41:47  wrobell
- ver. 7.2.4 /bugfix release/

Revision 1.169.2.1  2003/02/04 15:05:59  qboosh
- added geo_ops patch from RH - fix for polygon() issue
- "cash_out" issue NOT fixed and unlikely to be in 7.2.x (it refers to MANY functions)
- added acfix needed for ac 2.57, harmless with 2.53a
- release 2, STBR to ra/updates/security

Revision 1.169  2002/10/03 09:42:50  wrobell
- ver. 7.2.3

Revision 1.168  2002/08/24 20:29:58  kloczek
- merge translations from TurboLinux.

Revision 1.167  2002/08/24 19:56:30  kloczek
- updated to 7.2.2: security fixes.

Revision 1.166  2002/06/27 08:51:39  kloczek
- release 9,
- change run levels: run postgresql on 84 level (before apache) and stop on
  25 (after apache) - it is neccessary if localy runed apache uses mod_log_psql
  module.

Revision 1.165  2002/05/30 18:09:24  wrobell
- added documentation for python-postgresql package
- new doc scheme
- rel. 8

Revision 1.164  2002/05/21 23:14:32  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.163  2002/05/09 22:24:18  qboosh
- one more fix in postgresql.init: initialize defaults before reading service
  config, so init script won't fail if config file is present but some variable
  is not set
- release 7

Revision 1.162  2002/05/02 16:51:16  kloczek
- merge translations from KSI.

Revision 1.161  2002/05/02 16:27:45  qboosh
- changed 'su postgres' to 'su - postgres' before initdb in postgresql.init
  - now it works when 'postgresql start' is called with $PWD inaccessible by
  postgres user (fix by mw)
- release 6

Revision 1.160  2002/04/27 13:56:12  aflinta
- added encoding selection to init script
- release 5

Revision 1.159  2002/04/13 17:07:56  kloczek
- release 4: rebuild against python 2.2.1.

Revision 1.158  2002/04/11 12:23:48  wrobell
- use pyrequires_eq macro
- rel. 3
- stb

Revision 1.157  2002/04/03 05:56:12  kloczek
- updated to 7.2.1 (bugfix version),
- rmoved oudated contribfixes patch.

Revision 1.156  2002/03/25 11:52:16  mis
- added pg_ctl-nopsql.patch which fixes server start on properly
  configured postgresql installations

Revision 1.155  2002/03/18 07:12:40  wrobell
- python subpackage group changed to Libraries/Python
- rel. 7
- stb

Revision 1.154  2002/03/10 09:01:37  djrzulf
- back to previous version,

Revision 1.152  2002/03/06 20:48:27  misiek
- disable make check on ppc

Revision 1.151  2002/03/01 01:41:49  kloczek
- added python-mx-DateTime to Requires list for python subpackage
  (fixed http://bugs.pld.org.pl/?bug=108).

Revision 1.150  2002/02/28 21:59:20  kloczek
- relase 6.

Revision 1.149  2002/02/28 17:15:06  filon
- there are no doc/internals.ps* files (nor anywere else)

Revision 1.148  2002/02/25 14:38:16  wrobell
- added warning about upgrade from version before 7.2
- rel. 5
- stb

Revision 1.147  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.146  2002/02/22 23:29:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.145  2002/02/21 03:39:48  kloczek
- release 4: added contribfixes patch stolen from rawhide.

Revision 1.144  2002/02/20 14:39:58  wrobell
- remove duplicate --with-perl

Revision 1.143  2002/02/20 13:20:19  qboosh
- don't allow server upgrade if old databases exist,
  for PL/* modules, rpm should be fixed
- release 3 - needs testing

Revision 1.142  2002/02/20 12:11:52  qboosh
- moved postgres home to /home/services/postgres

Revision 1.141  2002/02/20 11:41:17  qboosh
- proper -clients descriptions (en,pl only)

Revision 1.140  2002/02/15 01:42:54  wrobell
- translate missing main package descriptions to pl

Revision 1.139  2002/02/13 19:49:36  qboosh
- removed one dummy Requires, added version to Prereq: -clients

Revision 1.138  2002/02/13 14:30:14  wrobell
- what to do? what more?

Revision 1.137  2002/02/13 11:28:13  wrobell
- removed module-datetime subpackage /disappeared between 7.0.3 and 7.1.3
  for postgresql sources/
- adapterized
- nfy

Revision 1.136  2002/02/12 19:56:58  wrobell
- rename postgresql-python package to python-postgresql
- nfy

Revision 1.135  2002/02/11 06:40:30  kloczek
- added two subpackages module-pl{python,perl},
- updated %files list,
- seems odbc header files disapear (commnented),
- spec adapterized,
- "make check" in %install is back (disable rpath was solve bugs on checking
  postgresql),
- more macros.

Revision 1.134  2002/02/10 22:00:41  pawelk
dont use rpath sice it makes 'make check' allways fail

Revision 1.133  2002/02/09 15:39:46  kloczek
- commet cheking in %build (seems checking suit is broken),
- addedd --enable-unicode-conversion, --enable-depend, --with-perl to
  configure parameters.

Revision 1.132  2002/02/07 10:44:02  filon
- patch pg_ctl-silent is not obsolette
- re-added it and updated for 7.2

Revision 1.131  2002/02/07 06:50:32  kloczek
- start upgrade to 7.2,
- removed obsoleted patches.

Revision 1.130  2002/02/04 05:26:50  kloczek
- release 15: rebuild against python 2.2.

Revision 1.129  2002/01/18 02:14:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.128  2001/12/28 17:02:38  filon
- fixed typo in files
- release 14

Revision 1.127  2001/12/11 15:23:41  aflinta
- added conditional build for JDBC driver _with_jdb, but NFY

Revision 1.126  2001/12/10 15:58:36  aflinta
- moved libpgtcl.so from tcl-devel to tcl package
  file is needed by pgaccess
- rel 13, STBR

Revision 1.125  2001/12/02 16:31:28  filon
- release 12, of course

Revision 1.124  2001/12/02 16:29:26  filon
- added pg_ctl-silent patch, which makes pg_ctl silent also when starting
with existing pidfile, it removes annoying and messing startup message ('another postmaster ...')
and it does no harm, it is handled by init script
- release 11

Revision 1.123  2001/12/01 14:11:31  mkochano
- Release 11.
- Corrected check for subsys lock: s/postmaster/postgresql/ in %%post
  and %%preun.

Revision 1.122  2001/11/26 12:43:41  wrobell
- use standard python macros (building requires rpm-pythonprov)
- rel. 10, stbr

Revision 1.121  2001/11/22 21:45:39  filon
- fix + cosmetics in postgresql.init (one more time)
- release 9

Revision 1.120  2001/11/22 15:07:59  filon
- fixed postgresql.init, now will not show FAIL when succesfully started
- release 8

Revision 1.119  2001/11/13 13:41:44  mis
- added missing pgdb module to python subpackage; release 7

Revision 1.118  2001/10/27 21:43:56  kloczek
- two typos.

Revision 1.117  2001/10/27 20:25:52  kloczek
- merge translations from CNV.

Revision 1.116  2001/10/25 21:13:20  zagrodzki
- added ssl support in init files

Revision 1.115  2001/10/11 09:03:18  qboosh
- adapterized, remaining pl translations, BuildRequires: automake

Revision 1.114  2001/10/01 14:24:06  mkochano
- Release 5.
- Main (server) package: Prereq: postgresql-clients. rc-script's start
  command requires pg_ctl and pg_ctl requires ,,postmaster'' and
  ,,psql''.

Revision 1.113  2001/09/18 15:04:27  baggins
- fixed build in non-standart prefix

Revision 1.112  2001/09/05 18:37:45  kloczek
- release 4: do not perform tests in %install on sparc* and alpha (on sparc
  seems testins is broken because result testing is compared with expected
  results on solaris and one test fail).

Revision 1.111  2001/09/04 20:47:02  kloczek
- release 3.

Revision 1.110  2001/09/04 17:37:56  pawelk
added defattr to backend-devel
stbr

Revision 1.109  2001/08/31 17:54:39  pawelk
- added "make check" to build section
- added subpackage "backend-devel" with headers not included in oteher packages
- STBR

Revision 1.108  2001/08/31 14:36:28  kloczek
- BuildRequires:  python-devel >= 2.1.1.

Revision 1.107  2001/08/22 16:08:29  wrobell
- rebuilded with python 2.1.1
- rel. 2, stb.

Revision 1.106  2001/08/19 01:22:11  kloczek
- updated to 7.1.3,
- added ac_fixes patch and remove private copy libtool.m4 from config/.

Revision 1.105  2001/07/29 21:41:27  blues
- release 7
- added postgresql-clients to postgresql requires. It contains psql file,
  which is needed to init database and show initd-script status. Maybe move
  it to libs package would be better?

Revision 1.104  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.102  2001/07/03 15:02:13  zagrodzki
- release 6 (for rebuild)

Revision 1.101  2001/06/18 04:45:16  kloczek
- release 5: added python-PyGreSQL to Obsoletes for python subpackage.

Revision 1.100  2001/06/06 17:49:24  kloczek
- release 4: set TMPDIR before every su call and separater restart, reload in
  init script (misiek).

Revision 1.99  2001/05/31 16:21:15  wrobell
- modified sysconfig file (options default to 'no'), rel. up, STB

Revision 1.98  2001/05/29 16:43:23  wrobell
- fixed python module 'install' section and file list
- more python macros
- builds with Python 2.1
- release up

Revision 1.97  2001/05/29 01:24:48  kloczek
- updated to 7.1.2.

Revision 1.96  2001/05/25 14:35:15  wrobell
- release up due to postgresql.init modification

Revision 1.95  2001/05/22 09:06:50  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.94  2001/05/11 05:12:00  misiek
- python subpackage is back

Revision 1.93  2001/05/10 14:06:49  baggins
- updated to 7.1.1

Revision 1.92  2001/05/09 00:14:05  kloczek
- release 2: rebuild against openssl 0.9.6a.

Revision 1.91  2001/05/06 17:47:24  baggins
- %%files updated to 7.1, should be ready for testing

Revision 1.90  2001/04/20 15:03:23  mkierus
- change BuildRequires perl-lib-devel to perl-devel

Revision 1.89  2001/04/19 21:26:08  misiek
nfy

Revision 1.88  2001/04/18 13:06:53  misiek
started update to 7.1. NFY

Revision 1.87  2001/04/17 12:19:06  baggins
- release 9
- rebuild with perl 5.6.1

Revision 1.86  2001/04/13 15:09:55  wiget
patch to build with readline 4.2

Revision 1.85  2001/04/13 14:10:38  wiget
rebuild with readline 4.2; release 8

Revision 1.84  2001/02/19 17:34:19  kloczek
- release 7.

Revision 1.83  2001/02/19 17:23:13  qboosh
- spec simplified, some fixes in pl translations
- s/DIABLE/DISABLE/ in init and sysconfig files

Revision 1.82  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.81  2001/01/25 20:03:47  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.80  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.79  2000/12/13 17:56:38  kloczek
- release 5.

Revision 1.78  2000/12/11 12:53:04  mis
- build cond macros -> bcond_*[on|off] convention

Revision 1.77  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.76  2000/11/28 11:36:51  kloczek
- release 4: rebuild against perl 5.6.

Revision 1.75  2000/11/20 10:46:34  mis
- added pgsql_disable_* macros for disabling locale and multibyte support
- removed non-existing --enable-unicode-conversion option

Revision 1.74  2000/11/17 11:30:14  wrobell
- enable support for locales and multibyte databeses

Revision 1.73  2000/11/17 08:00:47  kloczek
- release 3: rebuild against tcl/tk 8.3.2.

Revision 1.72  2000/11/14 06:11:19  kloczek
- again fix in %install.

Revision 1.71  2000/11/14 00:45:07  kloczek
- fix installing desktop and pixmap for pgaccess.

Revision 1.70  2000/11/13 21:35:56  kloczek
- typo (s/_applnkdir_/_applnkdir/).

Revision 1.69  2000/11/13 17:03:15  kloczek
- release 2: fixed %%{_includedir}/pgsql/{dynloader,os}.h (was symlinks to
  nowhere).

Revision 1.68  2000/11/06 00:14:11  kloczek
- updated to 7.0.3.

Revision 1.67  2000/10/20 13:03:14  baggins
- fix perl install when _prefix != /usr

Revision 1.66  2000/10/10 14:51:48  mis
- pgaccess: added "." -> lib symlink instead of patching N files
- added missing modules/ and sql/ to postgresql subpackage

Revision 1.65  2000/10/09 15:40:43  mis
- fixed pgaccess requirements
- moved libpgtcl.so symlink to tcl subpackage because pgaccess loads pgtcl
  library using this symlink
- added missing libpgtcl.h to tcl-devel

Revision 1.64  2000/10/06 18:31:37  mis
- added pgaccess subpackage
- removed modules from postgresql-libs
- added log file
- disable locale and multibyte support. This slows down postgres to much,
  so IMHO should't be enabled by default (TODO: make rpm macros for
  enable/disable these features)
- cosmeticts

Revision 1.63  2000/09/30 16:34:54  kloczek
- bump release 18 for allow upgrade from RH.

Revision 1.62  2000/09/30 16:32:04  kloczek
- release 10,
- adapterized and added uing rpm new automation suit.

Revision 1.61  2000/09/26 13:55:25  dobrek
- changed permitions for %{_libdir}/pgsql directory from 644 to 755

Revision 1.60  2000/08/31 12:23:29  kloczek
- fixed init script (s/POSTGRES_\$DATA_DIR/\$POSTGRES_DATA_DIR/).

Revision 1.59  2000/08/25 02:08:21  kloczek
- start prepare release 9,
- added "Requires: %%{name} = %%{version}" for module-datetime and
  module-plpgsql subpackages (using modules subpackages without server is
  not good thing(tm)),
- changed group for python subpackege to Development/Languages/Python.

Revision 1.58  2000/08/24 13:34:52  kloczek
- release 8.

Revision 1.57  2000/08/24 13:13:27  wrobell
- template dir is owned by root, not postgres use

Revision 1.56  2000/08/22 23:23:36  kloczek
- spec adapterized,
- added no_libnsl patch with disable checking for libnsl - now postgresql
  binaries are not linked with this library.
NOTE: package relaeased ad 7 but still not solved correct linking shared
libraries in c++ subpackages (not linked with libstdc++).

Revision 1.55  2000/08/20 16:17:15  kloczek
- added misiing Bequires rules in subpackages,
- added c++, c++-devel abd c++- static subpackages (not fixed yet correct
  linking fith libstdc++),
- reordered some subpackages in spec.

Revision 1.54  2000/08/20 15:05:22  wrobell
- added module-plpgsql and module-pltcl packages with procedural languages

Revision 1.53  2000/08/10 18:31:37  wrobell
- added postgresql-module-datetime package

Revision 1.52  2000/07/25 18:03:00  kloczek
- added to Obsoletes postgresql-test.

Revision 1.51  2000/07/25 16:35:55  kloczek
- added Obsoletes: postgresql-server for main package.

Revision 1.50  2000/07/24 10:56:28  kloczek
- move man pages level 3 to perl subpackage,
- remove duplicated header iodbc files from devel,
- removed port header files (this unused - only one file from this
  subdirectory is copied to os.h).

Revision 1.49  2000/07/24 10:45:50  kloczek
- relaease 6,
- added subpackage eith python interface to postgres,
- new (real) DESTDIR patch wich simplify %install.

Revision 1.48  2000/07/13 23:19:58  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.47  2000/07/05 22:43:18  kloczek
- fix typo for non x86 arch (s/target_cpu/_target_cpu/).

Revision 1.46  2000/07/05 14:35:35  wrobell
- changed release to 1

Revision 1.45  2000/07/05 12:36:05  wrobell
- up to 7.0.2
- NFY

Revision 1.44  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.43  2000/06/07 04:36:12  kloczek
- spec adapterized.

Revision 1.42  2000/05/07 13:03:10  kloczek
- fix in %pre.

Revision 1.41  2000/05/07 10:35:09  kloczek
- release 6,
- merged patches from rawhide (alpha, sparc64, armlinux),
- spec adapterized.

Revision 1.40  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.39  2000/04/18 12:26:01  zagrodzki
- replaced "cat /etc/groups | grep" with getgid
- replaced "cat /etc/passwd | grep" with id

Revision 1.38  2000/04/18 08:28:42  zagrodzki

- redirection "&>" is not ksh-compatible

Revision 1.37  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.36  2000/03/28 16:55:04  baggins
- translated kloczkish into english

Revision 1.35  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.34  2000/03/20 15:13:04  wrobell
- install all header files; they are required by executor/spi.h and
  commands/trigger.h

Revision 1.33  2000/03/17 12:06:30  wrobell
- fix for perl module install

Revision 1.32  2000/02/09 14:26:05  smyda

- removed initdb from spec (add to postgresql.init)
- fix in perl section
- checking in group, passwd if exist postgres

Revision 1.31  1999/12/30 05:50:50  wiget
- added more BuildRequires: rules

Revision 1.30  1999/12/09 19:19:57  baggins
- release 2
- fixed broken initscript (& in wrong place)

Revision 1.29  1999/12/06 13:29:07  waszi
- small fixes

Revision 1.28  1999/12/05 19:55:45  kloczek
- updated to 6.5.3,
- updated perl patch for new version,
- pass LDFLAGS="-s" in %build into ./configure enviroment instead strip
  binaries in %install,
- added stripping shared libraries,
- test reformatings,
- added restrt postgresql database daemon on upgrade in %post,
- added %post/%postun wit runing /sbin/ldconfig for libs, tcl, and odb
  subpackades,
- s,/etc,%%{_sysconfdir},
- fiew other cosmetic changes (removed comented out data subpackage)

Revision 1.27  1999/12/05 17:56:59  waszi
- added support fo /etc/sysconfig/postgresql
- fixed %%post

Revision 1.26  1999/12/05 15:54:40  waszi
- some cleanups

Revision 1.25  1999/11/30 09:10:27  waszi
- small fixes

Revision 1.24  1999/09/11 13:59:12  misiek
- fixed requires (PR#49)

Revision 1.23  1999/09/09 18:50:58  bonkey
- changed stripping of all files in %{_bindir} into
  stripping only binary ones.

Revision 1.22  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.21  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Mar 24 1999 Jacek Smyda <smyda@posexperts.com.pl>
  [6.4.2-7]
- correct dir for perl

* Fri Mar  5 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [6.4.2-6]
- changed ermission on rc script to 754,
- /sbin/ldconfig emoved from Prereq list,
- removed man group from man pages.

* Fri Mar  5 1999 Jacek Smyda <smyda@posexperts.com.pl>
- add polish group names
- correct install perllocal.pod

* Wed Mar  3 1999 Jacek Smyda <smyda@posexperts.com.pl>
- correct group name

* Thu Feb 25 1999 Jacek Smyda <smyda@posexperts.com.pl>
- gzip man pages

* Thu Feb 18 1999 Jacek Smyda <smyda@posexperts.com.pl>
- Remove template database from data package and init after install

* Mon Jan 17 1999 Jacek Smyda <smyda@posexperts.com.pl>
- added translations for pl
- new package: perl, doc, odbc
- finally v6.4.2
- removed tcl interface

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip all binaries
- use defattr in all packages
- updated pgaccess to version 0.90
- /var/lib/pgsql/pg_pwd should not be 666

* Sun Jun 21 1998 Jeff Johnson <jbj@redhat.com>
- create %{_libdir}/pgsql (like %{_includedir}/pgsql)
- resurrect libpq++.so*
- fix name problem in startup-script (problem #533)

* Fri Jun 19 1998 Jeff Johnson <jbj@redhat.com>
- configure had "--prefix=$RPM_BUILD_ROOT/usr"
- move all include files below %{_includedir}/pgsql.
- resurrect perl client file lists.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
